# a-flash-deck

![Languages](https://img.shields.io/github/languages/top/rh-id/a-flash-deck)
![Downloads](https://img.shields.io/github/downloads/rh-id/a-flash-deck/total)
![Release](https://img.shields.io/github/v/release/rh-id/a-flash-deck)
![Android CI](https://github.com/rh-id/a-flash-deck/actions/workflows/gradlew-build.yml/badge.svg)
![Release Build](https://github.com/rh-id/a-flash-deck/actions/workflows/android-release.yml/badge.svg)
![Emulator Test](https://github.com/rh-id/a-flash-deck/actions/workflows/android-emulator-test.yml/badge.svg)

A simple and easy to use flash card to help you study
<ul>
  <li>Easily add deck and cards</li>
  <li>Add notification timer to periodically asking you question</li>
  <li>Support dark mode and light mode</li>
  <li>Easily export & share your decks to your friends</li>
  <li>Record voices and attach images for the cards</li>
  <li>Create shortcut to show random card from deck for casual study (Android 8 and above)</li>
  <li>Flash bot to smartly suggest list of card to test you</li>
</ul>

This project is intended for demo app for [a-navigator](https://github.com/rh-id/a-navigator) and [a-provider](https://github.com/rh-id/a-provider) library usage.
The app still works as production even though it is demo app.

## Project Structure

The app uses a-navigator framework as navigator and StatefulView as base structure,
combined with a-provider library for service locator,
and finally RxAndroid to handle UI use cases.

## Screenshots
<img src="https://github.com/rh-id/a-flash-deck/blob/master/fastlane/metadata/android/en-US/images/featureGraphic.png" width="1024"/>

<img src="https://github.com/rh-id/a-flash-deck/blob/master/fastlane/metadata/android/en-US/images/phoneScreenshots/1.png" height="512"/>
<img src="https://github.com/rh-id/a-flash-deck/blob/master/fastlane/metadata/android/en-US/images/phoneScreenshots/2.png" height="512"/>
<img src="https://github.com/rh-id/a-flash-deck/blob/master/fastlane/metadata/android/en-US/images/phoneScreenshots/3.png" height="512"/>
<img src="https://github.com/rh-id/a-flash-deck/blob/master/fastlane/metadata/android/en-US/images/phoneScreenshots/4.png" height="512"/>
<img src="https://github.com/rh-id/a-flash-deck/blob/master/fastlane/metadata/android/en-US/images/phoneScreenshots/5.png" height="512"/>

## Support this project
Consider donation to support this project
<table>
  <tr>
    <td><a href="bitcoin:bc1qk9n2kljqyunqvlpyjxd4f4tt2xl0uwt2ak9xu4"><img src="https://img.shields.io/badge/Bitcoin-000000?style=for-the-badge&logo=bitcoin&logoColor=white&link=bitcoin://bc1qk9n2kljqyunqvlpyjxd4f4tt2xl0uwt2ak9xu4" alt="Bitcoin" width="90px"></a></td>
    <td><a href="https://www.blockchain.com/btc/address/bc1qk9n2kljqyunqvlpyjxd4f4tt2xl0uwt2ak9xu4">bc1qk9n2kljqyunqvlpyjxd4f4tt2xl0uwt2ak9xu4</a></td>
  </tr>
</table>
